#
# spec file for package python-cliff-tablib
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-cliff-tablib
Version:        1.1
Release:        6.1
Summary:        Tablib formatters for cliff
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/dreamhost/cliff-tablib
Source:         http://pypi.python.org/packages/source/c/cliff-tablib/cliff-tablib-%{version}.tar.gz
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
Requires:       python-cliff
Requires:       python-tablib
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
cliff-tablib is a set of formatter extensions for producing JSON,
YAML, and HTML output in programs created with the cliff
framework. Installing cliff-tablib activates these formatters for any
cliff-based programs automatically.

%prep
%setup -q -n cliff-tablib-%{version}

%build
python setup.py build
#python setup.py build_sphinx

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc demoapp
%{python_sitelib}/*

%changelog
* Thu Jul 11 2013 dmueller@suse.com
- update to 1.1:
  * Remove the use of distribute for installation
* Thu Nov 15 2012 saschpe@suse.de
- Initial version
